be.vlaanderen.mercurius.mohm.schemas.v1

## Class ConsultSupportAndRepairAcceptedType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.ConsultSupportAndRepairAcceptedType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultSupportAndRepairAcceptedType
      extends Object
      implements Serializable

  Generiek type voor positief antwoord op ontvangst van een consultatie van onderhoud en herstel.

  Java class for ConsultSupportAndRepairAcceptedType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultSupportAndRepairAcceptedType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ApplicationView" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}SupportAndRepairViewType"/>
               <element name="HistoryStatus" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}StatusListType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultSupportAndRepairAcceptedType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SupportAndRepairViewType` | `getApplicationView()` Gets the value of the applicationView property.
    `StatusListType` | `getHistoryStatus()` Gets the value of the historyStatus property.
    `void` | `setApplicationView(SupportAndRepairViewType value)` Sets the value of the applicationView property.
    `void` | `setHistoryStatus(StatusListType value)` Sets the value of the historyStatus property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultSupportAndRepairAcceptedType

          public ConsultSupportAndRepairAcceptedType()

  - ### Method Detail

    - #### getApplicationView

          public SupportAndRepairViewType getApplicationView()

      Gets the value of the applicationView property.
      Returns:
        possible object is `SupportAndRepairViewType`

    - #### setApplicationView

          public void setApplicationView(SupportAndRepairViewType value)

      Sets the value of the applicationView property.
      Parameters:
        `value` - allowed object is `SupportAndRepairViewType`

    - #### getHistoryStatus

          public StatusListType getHistoryStatus()

      Gets the value of the historyStatus property.
      Returns:
        possible object is `StatusListType`

    - #### setHistoryStatus

          public void setHistoryStatus(StatusListType value)

      Sets the value of the historyStatus property.
      Parameters:
        `value` - allowed object is `StatusListType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.